Last Comment Bug 748742 - Drop ccache options from Mac debug mozconfigs and make the mac32 bit mozconfig work properly
: Drop ccache options from Mac debug mozconfigs and make the mac32 bit mozconfi...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 15.0
Assigned To: Mark Banner (:standard8, afk until Dec)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 06:32 PDT by Mark Banner (:standard8, afk until Dec)
Modified: 2012-05-25 03:03 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
The fix (2.50 KB, patch)
2012-04-25 06:32 PDT, Mark Banner (:standard8, afk until Dec)
jhopkins: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Splinter Review

Description Mark Banner (:standard8, afk until Dec) 2012-04-25 06:32:00 PDT
Created attachment 618229 [details] [diff] [review]
The fix

The non-10.7 macs haven't got ccache installed, so we should just drop that option.

The Mac 32 debug mozconfig is incorrectly including mozconfig.leopard in a way that won't work, this will correct it, the same as we've done with the other mozconfig files.
Comment 1 Mark Banner (:standard8, afk until Dec) 2012-04-25 07:04:53 PDT
Checked in:
https://hg.mozilla.org/comm-central/rev/e2b614bcfcca
Comment 2 Mark Banner (:standard8, afk until Dec) 2012-05-09 06:35:27 PDT
Comment on attachment 618229 [details] [diff] [review]
The fix

[Triage Comment]
Needed on aurora to get our builders working right there.
Comment 4 Mark Banner (:standard8, afk until Dec) 2012-05-25 01:36:19 PDT
Comment on attachment 618229 [details] [diff] [review]
The fix

[Triage Comment]
We also need this on beta & esr.
Comment 6 Mark Banner (:standard8, afk until Dec) 2012-05-25 03:03:32 PDT
Comment on attachment 618229 [details] [diff] [review]
The fix

The esr mozconfigs are already updated as part of a bustage fix.

Note You need to log in before you can comment on or make changes to this bug.